Get Domains stats
Description
list all domains and their stats in the organization
Request
GET /v1/domains/stats
Response
Successful response contains the following JSON formated body:
{
domain: string,
devicesConfigured: number,
devicesSeenOnline: number
}[]
Response Status codes:
- 200 on success
Request headers
This request must have the following headers:
Authorization: bearer <ApiKey>X-Nabto-Organization: <organizationId>
Request Query Parameters
This request supports the following query parameters:
asAdminIf set, lists domains across organizations. (Only available to admins)domainFilterOnly return domains matching this filter. (Only available withasAdmin)showDeletedIf set, includes deleted domains. (Only available withasAdmin)
Example
Request
curl "https://api.cloud.nabto.com/v1/domains/stats" \
-H "Authorization: Bearer <ApiKey>" \
-H "X-Nabto-Organization: <OrganizationId>"
Response
[{
"domain": "mydomain.example.net",
"devicesConfigured": 42,
"devicesSeenOnline": 42
},
...]